program test
   use PVD 
   implicit none

   integer, parameter                :: nx=11, ny=9, nz=13
   integer                           :: i, j, k
   real(kind=8)                      :: dx
   real(kind=8), dimension(nx)       :: x
   real(kind=8), dimension(ny)       :: y
   real(kind=8), dimension(nz)       :: z
   real(kind=8), dimension(nx,ny,nz) :: v
   type(vtr_file_handle)             :: fd

   dx=0.1
   x(:) = [(real(i-1)*dx, i=1, nx)]
   y(:) = [(real(j-1)*dx, j=1, ny)]
   z(:) = [(real(k-1)*dx, k=1, nz)]
   call random_number(v)

   call VTR_open_file(PREFIX="example", FD=fd)
   call VTR_write_mesh(FD=fd, X=x(1:nx), Y=y(1:ny), Z=z(1:nz))
   call VTR_write_var(FD=fd, NAME="example", FIELD=v(1:nx,1:ny,1:nz))
   call VTR_close_file(FD=fd)
   call VTR_collect_file(FD=fd)
end program test
